/playstore-entities-delete-one¶
Summary¶
Source repository:
jef-systems/jef-playstore-backendSource SHA:
537621a0de4fe8da8c49370092d1e1b307f4b15eSource run id:
26743369031Lambda function:
jef-playstore-entities-delete-oneHTTP method:
DELETEAPI path:
/playstore-entities-delete-oneEndpoint URL:
https://nxsn52idb0.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-delete-onePayload mode:
json-body
Description¶
Function: jef-playstore-entities-delete-oneModule: jef-playstore-entitiesAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /playstore-entities-delete-oneTable: jef-playstore-entitiesPrimary Key: entity_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
entity\_id: 2a450c22-d484-44ef-90fc-931f27f1cc0a
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.entity_id.type",
"value": "S"
},
{
"key": "root.attributes.entity_id.required",
"value": "True"
},
{
"key": "root.attributes.entity_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.entity_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "entity_id",
"value": "2a450c22-d484-44ef-90fc-931f27f1cc0a"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://nxsn52idb0.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-delete-one" -H "Content-Type: application/json" --data-raw "{\"entity_id\": \"2a450c22-d484-44ef-90fc-931f27f1cc0a\"}"
PowerShell curl¶
curl.exe -X DELETE "https://nxsn52idb0.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-delete-one" -H "Content-Type: application/json" --data-raw '{"entity_id": "2a450c22-d484-44ef-90fc-931f27f1cc0a"}'